Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis
Class Constants

    java.lang.Object
      kieker.tools.traceAnalysis.Constants

    public final class Constants

extends Object

Externalized Strings from `TraceAnalysisTool`.

Since:
  1.2
Author:
  Robert von Massow, Andre van Hoorn

Field Summary
`static String` | `AGGREGATED_ALLOCATION_CALL_TREE_FN_PREFIX`
`static String` | `AGGREGATED_ASSEMBLY_CALL_TREE_FN_PREFIX`
`static String` | `ALLOCATION_COMPONENT_DEPENDENCY_GRAPH_FN_PREFIX` The prefix for the files of the allocation component dependency graphs.
`static String` | `ALLOCATION_OPERATION_DEPENDENCY_GRAPH_FN_PREFIX` The prefix for the files of the allocation operation dependency graphs.
`static String` | `ALLOCATION_SEQUENCE_DIAGRAM_FN_PREFIX` The prefix for the files of the allocation sequence diagram.
`static String` | `ASSEMBLY_COMPONENT_DEPENDENCY_GRAPH_FN_PREFIX` The prefix for the files of the assembly component dependency graphs.
`static String` | `ASSEMBLY_OPERATION_DEPENDENCY_GRAPH_FN_PREFIX`
`static String` | `ASSEMBLY_SEQUENCE_DIAGRAM_FN_PREFIX` The prefix for the files of the assembly sequence diagram.
`static String` | `CALL_TREE_FN_PREFIX` The prefix for the call tree files.
`static String` | `CMD_OPT_NAME_ADD_DESCRIPTIONS`
`static String` | `CMD_OPT_NAME_FILTERTRACES`
`static String` | `CMD_OPT_NAME_IGNORE_ASSUMED`
`static String` | `CMD_OPT_NAME_IGNOREEXECUTIONSAFTERDATE`
`static String` | `CMD_OPT_NAME_IGNOREEXECUTIONSBEFOREDATE`
`static String` | `CMD_OPT_NAME_IGNOREINVALIDTRACES` Command whether to ignore invalid traces or not.
`static String` | `CMD_OPT_NAME_INCLUDESELFLOOPS` Command whether to include self loops or not.
`static String` | `CMD_OPT_NAME_INPUTDIRS` Command for the input directories containing monitoring records.
`static String` | `CMD_OPT_NAME_MAXTRACEDURATION`
`static String` | `CMD_OPT_NAME_OUTPUTDIR` Command for the output directories.
`static String` | `CMD_OPT_NAME_OUTPUTFNPREFIX`
`static String` | `CMD_OPT_NAME_SELECTTRACES`
`static String` | `CMD_OPT_NAME_SHORTLABELS` Command whether to use short labels or not.
`static String` | `CMD_OPT_NAME_TASK_ALLOCATIONEQUIVCLASSREPORT`
`static String` | `CMD_OPT_NAME_TASK_ASSEMBLYEQUIVCLASSREPORT`
`static String` | `CMD_OPT_NAME_TASK_PLOTAGGREGATEDALLOCATIONCALLTREE` Command whether to plot aggregated deployment call trees or not.
`static String` | `CMD_OPT_NAME_TASK_PLOTAGGREGATEDASSEMBLYCALLTREE` Command whether to plot aggregated assembly call trees or not.
`static String` | `CMD_OPT_NAME_TASK_PLOTALLOCATIONCOMPONENTDEPG` Command whether to plot deployment component dependency graphs or not.
`static String` | `CMD_OPT_NAME_TASK_PLOTALLOCATIONOPERATIONDEPG` Command whether to plot deployment operation dependency graphs or not.
`static String` | `CMD_OPT_NAME_TASK_PLOTALLOCATIONSEQDS` Command whether to plot deployment sequence diagrams or not.
`static String` | `CMD_OPT_NAME_TASK_PLOTASSEMBLYCOMPONENTDEPG` Command whether to plot assembly component dependency graphs or not.
`static String` | `CMD_OPT_NAME_TASK_PLOTASSEMBLYOPERATIONDEPG` Command whether to plot assembly operation dependency graphs or not.
`static String` | `CMD_OPT_NAME_TASK_PLOTASSEMBLYSEQDS` Command whether to plot assembly sequence diagrams or not.
`static String` | `CMD_OPT_NAME_TASK_PLOTCALLTREES` Command whether to plot call trees or not.
`static String` | `CMD_OPT_NAME_TASK_PLOTCONTAINERDEPG` Command whether to plot container dependency graphs or not.
`static String` | `CMD_OPT_NAME_TASK_PRINTEXECTRACES` Command whether to print execution traces or not.
`static String` | `CMD_OPT_NAME_TASK_PRINTINVALIDEXECTRACES` Command whether to print invalid execution traces or not.
`static String` | `CMD_OPT_NAME_TASK_PRINTMSGTRACES` Command whether to print message traces or not.
`static String` | `CMD_OPT_NAME_TASK_PRINTSYSTEMMODEL` Command whether to print the system model or not.
`static String` | `CMD_OPT_NAME_TRACE_COLORING`
`static org.apache.commons.cli.Options` | `CMDL_OPTIONS`
`static String` | `COLORING_FILE_OPTION_NAME`
`static String` | `CONTAINER_DEPENDENCY_GRAPH_FN_PREFIX` The prefix for the files of the container dependency graphs.
`static String` | `DATE_FORMAT_PATTERN` The format pattern which is used to print the date.
`static char` | `DECORATOR_SEPARATOR`
`static String` | `DECORATORS_OPTION_NAME`
`static String` | `DESCRIPTIONS_FILE_OPTION_NAME`
`static String` | `DOT_FILE_SUFFIX` The suffix for dot files.
`static String` | `EVENTRECORDTRACERECONSTR_COMPONENT_NAME` The name of the component for the trace reconstruction of trace event records.
`static String` | `EXEC_TRACE_RECONSTR_COMPONENT_NAME` The name of the component for the execution trace reconstruction.
`static String` | `EXECEVENTRACESFROMEVENTTRACES_COMPONENT_NAME` The name of the component for the trace reconstruction of event records.
`static String` | `EXECTRACESFROMEVENTTRACES_COMPONENT_NAME` The name of the component for the trace reconstruction of event record traces.
`static String` | `EXECUTION_TRACES_FN_PREFIX` The name prefix for the execution traces files.
`static String` | `INVALID_TRACES_FN_PREFIX` The name prefix for the invalid traces files.
`static String` | `MESSAGE_TRACES_FN_PREFIX` The name prefix for the message traces files.
`static String` | `PLOTAGGREGATEDALLOCATIONCALLTREE_COMPONENT_NAME`
`static String` | `PLOTAGGREGATEDASSEMBLYCALLTREE_COMPONENT_NAME`
`static String` | `PLOTALLOCATIONCOMPONENTDEPGRAPH_COMPONENT_NAME`
`static String` | `PLOTALLOCATIONOPERATIONDEPGRAPH_COMPONENT_NAME`
`static String` | `PLOTALLOCATIONSEQDIAGR_COMPONENT_NAME`
`static String` | `PLOTASSEMBLYCOMPONENTDEPGRAPH_COMPONENT_NAME`
`static String` | `PLOTASSEMBLYOPERATIONDEPGRAPH_COMPONENT_NAME`
`static String` | `PLOTASSEMBLYSEQDIAGR_COMPONENT_NAME`
`static String` | `PLOTCALLTREE_COMPONENT_NAME`
`static String` | `PLOTCONTAINERDEPGRAPH_COMPONENT_NAME`
`static String` | `PRINTEXECTRACE_COMPONENT_NAME`
`static String` | `PRINTINVALIDEXECTRACE_COMPONENT_NAME`
`static String` | `PRINTMSGTRACE_COMPONENT_NAME`
`static String` | `RESPONSE_TIME_COLORING_DECORATOR_FLAG`
`static String` | `RESPONSE_TIME_DECORATOR_FLAG` Deprecated. Replaced by `RESPONSE_TIME_DECORATOR_FLAG_MS`. To be removed for 1.11 if possible.
`static String` | `RESPONSE_TIME_DECORATOR_FLAG_MS`
`static String` | `RESPONSE_TIME_DECORATOR_FLAG_NS`
`static String` | `RESPONSE_TIME_DECORATOR_FLAG_S`
`static String` | `RESPONSE_TIME_DECORATOR_FLAG_US`
`static List<org.apache.commons.cli.Option>` | `SORTED_OPTION_LIST`
`static String` | `TRACE_ALLOCATION_EQUIV_CLASSES_FN_PREFIX`
`static String` | `TRACE_ASSEMBLY_EQUIV_CLASSES_FN_PREFIX`
`static String` | `TRACEALLOCATIONEQUIVCLASS_COMPONENT_NAME` The name of the component for the trace equivalence class filtering (deployment mode).
`static String` | `TRACEASSEMBLYEQUIVCLASS_COMPONENT_NAME` The name of the component for the trace equivalence class filtering (assembly mode).
`static String` | `TRACERECONSTR_COMPONENT_NAME` The name of the component for the trace reconstruction of execution records.

Method Summary
`static String` | `stringArrToStringList(String[] strs)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CMD_OPT_NAME_INPUTDIRS

    public static final String CMD_OPT_NAME_INPUTDIRS

  Command for the input directories containing monitoring records.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_OUTPUTDIR

    public static final String CMD_OPT_NAME_OUTPUTDIR

  Command for the output directories.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_OUTPUTFNPREFIX

    public static final String CMD_OPT_NAME_OUTPUTFNPREFIX

See Also:
  Constant Field Values

### CMD_OPT_NAME_SELECTTRACES

    public static final String CMD_OPT_NAME_SELECTTRACES

See Also:
  Constant Field Values

### CMD_OPT_NAME_FILTERTRACES

    public static final String CMD_OPT_NAME_FILTERTRACES

See Also:
  Constant Field Values

### CMD_OPT_NAME_SHORTLABELS

    public static final String CMD_OPT_NAME_SHORTLABELS

  Command whether to use short labels or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_IGNORE_ASSUMED

    public static final String CMD_OPT_NAME_IGNORE_ASSUMED

See Also:
  Constant Field Values

### CMD_OPT_NAME_INCLUDESELFLOOPS

    public static final String CMD_OPT_NAME_INCLUDESELFLOOPS

  Command whether to include self loops or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_IGNOREINVALIDTRACES

    public static final String CMD_OPT_NAME_IGNOREINVALIDTRACES

  Command whether to ignore invalid traces or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PLOTALLOCATIONSEQDS

    public static final String CMD_OPT_NAME_TASK_PLOTALLOCATIONSEQDS

  Command whether to plot deployment sequence diagrams or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PLOTASSEMBLYSEQDS

    public static final String CMD_OPT_NAME_TASK_PLOTASSEMBLYSEQDS

  Command whether to plot assembly sequence diagrams or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PLOTALLOCATIONCOMPONENTDEPG

    public static final String CMD_OPT_NAME_TASK_PLOTALLOCATIONCOMPONENTDEPG

  Command whether to plot deployment component dependency graphs or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PLOTASSEMBLYCOMPONENTDEPG

    public static final String CMD_OPT_NAME_TASK_PLOTASSEMBLYCOMPONENTDEPG

  Command whether to plot assembly component dependency graphs or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PLOTCONTAINERDEPG

    public static final String CMD_OPT_NAME_TASK_PLOTCONTAINERDEPG

  Command whether to plot container dependency graphs or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PLOTALLOCATIONOPERATIONDEPG

    public static final String CMD_OPT_NAME_TASK_PLOTALLOCATIONOPERATIONDEPG

  Command whether to plot deployment operation dependency graphs or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PLOTASSEMBLYOPERATIONDEPG

    public static final String CMD_OPT_NAME_TASK_PLOTASSEMBLYOPERATIONDEPG

  Command whether to plot assembly operation dependency graphs or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PLOTAGGREGATEDALLOCATIONCALLTREE

    public static final String CMD_OPT_NAME_TASK_PLOTAGGREGATEDALLOCATIONCALLTREE

  Command whether to plot aggregated deployment call trees or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PLOTAGGREGATEDASSEMBLYCALLTREE

    public static final String CMD_OPT_NAME_TASK_PLOTAGGREGATEDASSEMBLYCALLTREE

  Command whether to plot aggregated assembly call trees or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PLOTCALLTREES

    public static final String CMD_OPT_NAME_TASK_PLOTCALLTREES

  Command whether to plot call trees or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PRINTMSGTRACES

    public static final String CMD_OPT_NAME_TASK_PRINTMSGTRACES

  Command whether to print message traces or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PRINTEXECTRACES

    public static final String CMD_OPT_NAME_TASK_PRINTEXECTRACES

  Command whether to print execution traces or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PRINTSYSTEMMODEL

    public static final String CMD_OPT_NAME_TASK_PRINTSYSTEMMODEL

  Command whether to print the system model or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_PRINTINVALIDEXECTRACES

    public static final String CMD_OPT_NAME_TASK_PRINTINVALIDEXECTRACES

  Command whether to print invalid execution traces or not.

  See Also:
    Constant Field Values

### CMD_OPT_NAME_TASK_ALLOCATIONEQUIVCLASSREPORT

    public static final String CMD_OPT_NAME_TASK_ALLOCATIONEQUIVCLASSREPORT

See Also:
  Constant Field Values

### CMD_OPT_NAME_TASK_ASSEMBLYEQUIVCLASSREPORT

    public static final String CMD_OPT_NAME_TASK_ASSEMBLYEQUIVCLASSREPORT

See Also:
  Constant Field Values

### CMD_OPT_NAME_MAXTRACEDURATION

    public static final String CMD_OPT_NAME_MAXTRACEDURATION

See Also:
  Constant Field Values

### CMD_OPT_NAME_IGNOREEXECUTIONSBEFOREDATE

    public static final String CMD_OPT_NAME_IGNOREEXECUTIONSBEFOREDATE

See Also:
  Constant Field Values

### CMD_OPT_NAME_IGNOREEXECUTIONSAFTERDATE

    public static final String CMD_OPT_NAME_IGNOREEXECUTIONSAFTERDATE

See Also:
  Constant Field Values

### ALLOCATION_SEQUENCE_DIAGRAM_FN_PREFIX

    public static final String ALLOCATION_SEQUENCE_DIAGRAM_FN_PREFIX

  The prefix for the files of the allocation sequence diagram.

  See Also:
    Constant Field Values

### ASSEMBLY_SEQUENCE_DIAGRAM_FN_PREFIX

    public static final String ASSEMBLY_SEQUENCE_DIAGRAM_FN_PREFIX

  The prefix for the files of the assembly sequence diagram.

  See Also:
    Constant Field Values

### ALLOCATION_COMPONENT_DEPENDENCY_GRAPH_FN_PREFIX

    public static final String ALLOCATION_COMPONENT_DEPENDENCY_GRAPH_FN_PREFIX

  The prefix for the files of the allocation component dependency graphs.

  See Also:
    Constant Field Values

### ASSEMBLY_COMPONENT_DEPENDENCY_GRAPH_FN_PREFIX

    public static final String ASSEMBLY_COMPONENT_DEPENDENCY_GRAPH_FN_PREFIX

  The prefix for the files of the assembly component dependency graphs.

  See Also:
    Constant Field Values

### CONTAINER_DEPENDENCY_GRAPH_FN_PREFIX

    public static final String CONTAINER_DEPENDENCY_GRAPH_FN_PREFIX

  The prefix for the files of the container dependency graphs.

  See Also:
    Constant Field Values

### ALLOCATION_OPERATION_DEPENDENCY_GRAPH_FN_PREFIX

    public static final String ALLOCATION_OPERATION_DEPENDENCY_GRAPH_FN_PREFIX

  The prefix for the files of the allocation operation dependency graphs.

  See Also:
    Constant Field Values

### ASSEMBLY_OPERATION_DEPENDENCY_GRAPH_FN_PREFIX

    public static final String ASSEMBLY_OPERATION_DEPENDENCY_GRAPH_FN_PREFIX

See Also:
  Constant Field Values

### AGGREGATED_ALLOCATION_CALL_TREE_FN_PREFIX

    public static final String AGGREGATED_ALLOCATION_CALL_TREE_FN_PREFIX

See Also:
  Constant Field Values

### AGGREGATED_ASSEMBLY_CALL_TREE_FN_PREFIX

    public static final String AGGREGATED_ASSEMBLY_CALL_TREE_FN_PREFIX

See Also:
  Constant Field Values

### DOT_FILE_SUFFIX

    public static final String DOT_FILE_SUFFIX

  The suffix for dot files.

  See Also:
    Constant Field Values

### CALL_TREE_FN_PREFIX

    public static final String CALL_TREE_FN_PREFIX

  The prefix for the call tree files.

  See Also:
    Constant Field Values

### MESSAGE_TRACES_FN_PREFIX

    public static final String MESSAGE_TRACES_FN_PREFIX

  The name prefix for the message traces files.

  See Also:
    Constant Field Values

### EXECUTION_TRACES_FN_PREFIX

    public static final String EXECUTION_TRACES_FN_PREFIX

  The name prefix for the execution traces files.

  See Also:
    Constant Field Values

### INVALID_TRACES_FN_PREFIX

    public static final String INVALID_TRACES_FN_PREFIX

  The name prefix for the invalid traces files.

  See Also:
    Constant Field Values

### TRACE_ALLOCATION_EQUIV_CLASSES_FN_PREFIX

    public static final String TRACE_ALLOCATION_EQUIV_CLASSES_FN_PREFIX

See Also:
  Constant Field Values

### TRACE_ASSEMBLY_EQUIV_CLASSES_FN_PREFIX

    public static final String TRACE_ASSEMBLY_EQUIV_CLASSES_FN_PREFIX

See Also:
  Constant Field Values

### DATE_FORMAT_PATTERN

    public static final String DATE_FORMAT_PATTERN

  The format pattern which is used to print the date.

  See Also:
    Constant Field Values

### EXEC_TRACE_RECONSTR_COMPONENT_NAME

    public static final String EXEC_TRACE_RECONSTR_COMPONENT_NAME

  The name of the component for the execution trace reconstruction.

  See Also:
    Constant Field Values

### TRACERECONSTR_COMPONENT_NAME

    public static final String TRACERECONSTR_COMPONENT_NAME

  The name of the component for the trace reconstruction of execution records.

  See Also:
    Constant Field Values

### TRACEALLOCATIONEQUIVCLASS_COMPONENT_NAME

    public static final String TRACEALLOCATIONEQUIVCLASS_COMPONENT_NAME

  The name of the component for the trace equivalence class filtering (deployment mode).

  See Also:
    Constant Field Values

### TRACEASSEMBLYEQUIVCLASS_COMPONENT_NAME

    public static final String TRACEASSEMBLYEQUIVCLASS_COMPONENT_NAME

  The name of the component for the trace equivalence class filtering (assembly mode).

  See Also:
    Constant Field Values

### EVENTRECORDTRACERECONSTR_COMPONENT_NAME

    public static final String EVENTRECORDTRACERECONSTR_COMPONENT_NAME

  The name of the component for the trace reconstruction of trace event records.

  See Also:
    Constant Field Values

### EXECTRACESFROMEVENTTRACES_COMPONENT_NAME

    public static final String EXECTRACESFROMEVENTTRACES_COMPONENT_NAME

  The name of the component for the trace reconstruction of event record traces.

  See Also:
    Constant Field Values

### EXECEVENTRACESFROMEVENTTRACES_COMPONENT_NAME

    public static final String EXECEVENTRACESFROMEVENTTRACES_COMPONENT_NAME

  The name of the component for the trace reconstruction of event records.

  See Also:
    Constant Field Values

### PRINTMSGTRACE_COMPONENT_NAME

    public static final String PRINTMSGTRACE_COMPONENT_NAME

See Also:
  Constant Field Values

### PRINTEXECTRACE_COMPONENT_NAME

    public static final String PRINTEXECTRACE_COMPONENT_NAME

See Also:
  Constant Field Values

### PRINTINVALIDEXECTRACE_COMPONENT_NAME

    public static final String PRINTINVALIDEXECTRACE_COMPONENT_NAME

See Also:
  Constant Field Values

### PLOTALLOCATIONCOMPONENTDEPGRAPH_COMPONENT_NAME

    public static final String PLOTALLOCATIONCOMPONENTDEPGRAPH_COMPONENT_NAME

See Also:
  Constant Field Values

### PLOTASSEMBLYCOMPONENTDEPGRAPH_COMPONENT_NAME

    public static final String PLOTASSEMBLYCOMPONENTDEPGRAPH_COMPONENT_NAME

See Also:
  Constant Field Values

### PLOTCONTAINERDEPGRAPH_COMPONENT_NAME

    public static final String PLOTCONTAINERDEPGRAPH_COMPONENT_NAME

See Also:
  Constant Field Values

### PLOTALLOCATIONOPERATIONDEPGRAPH_COMPONENT_NAME

    public static final String PLOTALLOCATIONOPERATIONDEPGRAPH_COMPONENT_NAME

See Also:
  Constant Field Values

### PLOTASSEMBLYOPERATIONDEPGRAPH_COMPONENT_NAME

    public static final String PLOTASSEMBLYOPERATIONDEPGRAPH_COMPONENT_NAME

See Also:
  Constant Field Values

### PLOTALLOCATIONSEQDIAGR_COMPONENT_NAME

    public static final String PLOTALLOCATIONSEQDIAGR_COMPONENT_NAME

See Also:
  Constant Field Values

### PLOTASSEMBLYSEQDIAGR_COMPONENT_NAME

    public static final String PLOTASSEMBLYSEQDIAGR_COMPONENT_NAME

See Also:
  Constant Field Values

### PLOTAGGREGATEDALLOCATIONCALLTREE_COMPONENT_NAME

    public static final String PLOTAGGREGATEDALLOCATIONCALLTREE_COMPONENT_NAME

See Also:
  Constant Field Values

### PLOTAGGREGATEDASSEMBLYCALLTREE_COMPONENT_NAME

    public static final String PLOTAGGREGATEDASSEMBLYCALLTREE_COMPONENT_NAME

See Also:
  Constant Field Values

### PLOTCALLTREE_COMPONENT_NAME

    public static final String PLOTCALLTREE_COMPONENT_NAME

See Also:
  Constant Field Values

### CMDL_OPTIONS

    public static final org.apache.commons.cli.Options CMDL_OPTIONS

### SORTED_OPTION_LIST

    public static final List<org.apache.commons.cli.Option> SORTED_OPTION_LIST

### DECORATORS_OPTION_NAME

    public static final String DECORATORS_OPTION_NAME

See Also:
  Constant Field Values

### DECORATOR_SEPARATOR

    public static final char DECORATOR_SEPARATOR

See Also:
  Constant Field Values

### RESPONSE_TIME_DECORATOR_FLAG

    @Deprecated
    public static final String RESPONSE_TIME_DECORATOR_FLAG

  Deprecated. Replaced by `RESPONSE_TIME_DECORATOR_FLAG_MS`. To be removed for 1.11 if possible.
  See Also:
    Constant Field Values

### RESPONSE_TIME_DECORATOR_FLAG_NS

    public static final String RESPONSE_TIME_DECORATOR_FLAG_NS

See Also:
  Constant Field Values

### RESPONSE_TIME_DECORATOR_FLAG_US

    public static final String RESPONSE_TIME_DECORATOR_FLAG_US

See Also:
  Constant Field Values

### RESPONSE_TIME_DECORATOR_FLAG_MS

    public static final String RESPONSE_TIME_DECORATOR_FLAG_MS

See Also:
  Constant Field Values

### RESPONSE_TIME_DECORATOR_FLAG_S

    public static final String RESPONSE_TIME_DECORATOR_FLAG_S

See Also:
  Constant Field Values

### RESPONSE_TIME_COLORING_DECORATOR_FLAG

    public static final String RESPONSE_TIME_COLORING_DECORATOR_FLAG

See Also:
  Constant Field Values

### CMD_OPT_NAME_TRACE_COLORING

    public static final String CMD_OPT_NAME_TRACE_COLORING

See Also:
  Constant Field Values

### COLORING_FILE_OPTION_NAME

    public static final String COLORING_FILE_OPTION_NAME

See Also:
  Constant Field Values

### CMD_OPT_NAME_ADD_DESCRIPTIONS

    public static final String CMD_OPT_NAME_ADD_DESCRIPTIONS

See Also:
  Constant Field Values

### DESCRIPTIONS_FILE_OPTION_NAME

    public static final String DESCRIPTIONS_FILE_OPTION_NAME

See Also:
  Constant Field Values

Method Detail

### stringArrToStringList

    public static String stringArrToStringList(String[] strs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net